FlxpointAPI Help CenterBeta

Get Channel Shipping Method

gethttps://api.flxpoint.com/shipping/channel-shipping-methodDeprecated

Use this when you want to pull shipping data through the API.

🔑 X-API-TOKEN⏱ 2 req/sToken: Account · Source · Channel

This page explains the endpoint. To send a live test request, use the interactive tester in Stoplight or your own Postman / HTTP client.

[DEPRECATED] Use `/shipping/channel-shipping-methods` instead. Get Channel Shipping Method by `channel id` and `shipping policy id` or `shipping text`. Either `shipping policy id` or `shipping text` must be provided. If both values are provided preference will be given to `shipping policy id`.

Request

Query parameters
  • channelIdqueryintegerrequired

    Channel Id

  • shippingPolicyIdqueryinteger

    Shipping Policy Id

  • shippingTextquerystring

    Shipping Text

Example request

get/shipping/channel-shipping-method
curl -X GET "https://api.flxpoint.com/shipping/channel-shipping-method" \
  -H "Accept: application/json" \
  -H "X-API-TOKEN: YOUR_TOKEN"

Responses

200OKapplication/json
idinteger
channelIdinteger
namestring
shippingPolicyIdinteger
deletedAtstring (date-time)
Example response
{
  "id": 0,
  "channelId": 0,
  "name": "string",
  "shippingPolicyId": 0,
  "deletedAt": "2026-04-20T00:00:00Z"
}
401Unauthorized

No schema documented for this status.

404Not Found

No schema documented for this status.

OpenAPI fragment
{
  "get": {
    "summary": "Get Channel Shipping Method",
    "description": "[DEPRECATED] Use `/shipping/channel-shipping-methods` instead.\nGet Channel Shipping Method by `channel id` and `shipping policy id` or `shipping text`.\nEither `shipping policy id` or `shipping text` must be provided.\nIf both values are provided preference will be given to `shipping policy id`.",
    "parameters": [
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "channelId",
        "description": "Channel Id",
        "required": true
      },
      {
        "schema": {
          "type": "integer"
        },
        "in": "query",
        "name": "shippingPolicyId",
        "description": "Shipping Policy Id "
      },
      {
        "schema": {
          "type": "string"
        },
        "in": "query",
        "name": "shippingText",
        "description": "Shipping Text"
      }
    ],
    "responses": {
      "200": {
        "description": "OK",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ChannelShippingMethod"
            }
          }
        }
      },
      "401": {
        "description": "Unauthorized"
      },
      "404": {
        "description": "Not Found"
      }
    }
  }
}
Ready to run it? Send the curl from your terminal or Postman, or use the interactive tester in Stoplight.Open in Stoplight